My Business
2.1K members online now
2.1K members online now
For developers who are using the Google My Business API to manage locations
Guide Me
star_border
Reply

google/apiclient version and Service question

[ Edited ]
Visitor ✭ ✭ ✭
# 1
Visitor ✭ ✭ ✭

Is it OK to use the latest version of the PHP apiclient (v2.1.0) with the Google My Business API?

 

Also, I don't see a MyBusiness Service class included in the apiclient-services dependency...is there another dependency I need to add the Mybusiness Service class?

1 Expert replyverified_user
1 ACCEPTED SOLUTION

Accepted Solutions
Marked as Best Answer.
Solution
Accepted by topic author David L
November 2016

Re: google/apiclient version and Service question

Google Employee
# 2
Google Employee

Hi @David L,

 

We recommend you should use the v1-branch of the repository on GitHub for the Google API Client Library for PHP as instructed on the Installation page and the README file in the PHP client library since the PHP client library may not be compatible with the v2 Beta version of the Google API Client Library for PHP.

 

Thanks,

The Google My Business API team

View solution in original post

Marked as Best Answer.
Solution
Accepted by topic author David L
November 2016

Re: google/apiclient version and Service question

Google Employee
# 2
Google Employee

Hi @David L,

 

We recommend you should use the v1-branch of the repository on GitHub for the Google API Client Library for PHP as instructed on the Installation page and the README file in the PHP client library since the PHP client library may not be compatible with the v2 Beta version of the Google API Client Library for PHP.

 

Thanks,

The Google My Business API team

google/apiclient version and Service question

Visitor ✭ ✭ ✭
# 3
Visitor ✭ ✭ ✭

Many thanks Shalini!  I was able to get this to work w/the v1-branch.